/*
    Copyright 2008 - 2011 Denis Comtesse <comtesse@users.sourceforge.net>

    This file is part of F.L.A.W.

    F.L.A.W. is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    F.L.A.W. is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with F.L.A.W.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <SDL.h>
#include <SDL_ttf.h>
#include <iostream>
#include <cstdlib>
#include <locale.h>
#include <libintl.h>

Uint32 GetPixel(SDL_Surface *surface, int x, int y);
void CustomWait(Uint32 ms);
bool InterruptibleWait(Uint32 ms);
int randomnumber(int a, int b);
Sint8 Sgn(float a);
SDL_Surface *killalpha (SDL_Surface *surface, Uint8 alpha); //EXPERIMENTAL: reduce alpha blending

// Fonts:
class Fonts {
	public:
		TTF_Font *tinyfont, *smallfont, *normalfont, *boldfont;
		bool LoadFonts(const char *path, const char *lang, float factor);
};

#ifndef _WIN32
void FindFile(const char *path, const char *filename, char *result);
#endif

		
// *** SDL_Pango ***
//SDL_Surface *RenderText (const char *text, Uint8 size, const char *color, bool bold ); 
